‘Please make sure your passwords match’ – Error in 1.9

If you’ve recently installed/upgraded to Magento 1.9, you may be receiving and error when a customer tries to register a new account.

Changing one line of code should fix your situation –

COPY: app/code/core/Mage/Customer/Model/Customer.php

TO: app/code/local/Mage/Customer/Model/Customer.php

In your LOCAL copy, make the following change around line 844 (comment out the $confirmation line and replace with the code below it)


//$confirmation = $this->getPasswordConfirmation();
if(Mage::app()->getFrontController()->getRequest()->getModuleName() == ?nepagecheckout?{
$confirmation = $this->getConfirmation();
}else{
$confirmation = $this->getPasswordConfirmation();
}

Upload your new local copy and you should be good to go!

Leave a Reply